
Hammer CLI - Feature #7044

Allow clone hosts from CLI

08/12/2014 07:55 AM - Dominic Cleal

Status: New   

Priority: Normal   

Assignee:    

Category: Hosts   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1128591 In Kanboard:  

Pull request: https://github.com/theforeman/hammer-cl

i-foreman/pull/381

Red Hat JIRA:  

Team Backlog:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1128591

Would it be great if Hammer could allow to clone hosts providing an existing host-id and new hostname, MAC address and IP

address:

1. hammer host clone --from-host-id ID --name NAME --ip IP --mac MAC

Related issues:

Related to Foreman - Feature #5421: possibility to copy host complete with pu... Ready For Testing

History

#1 - 08/12/2014 07:56 AM - Dominic Cleal

- Tracker changed from Bug to Feature

- Subject changed from [RFE] Allow clone hosts from CLI to Allow clone hosts from CLI

- Category set to Foreman commands (obsolete)

#2 - 10/21/2014 04:13 AM - Dominic Cleal

- Related to Feature #5421: possibility to copy host complete with puppetclasses and smart parameters added

#3 - 03/15/2018 08:46 AM - Dominik Hlavac Duran

- Assignee set to Dominik Hlavac Duran

#4 - 04/30/2018 10:55 AM - Tomáš Strachota

- Category changed from Foreman commands (obsolete) to Hosts

#5 - 08/14/2018 07:58 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/hammer-cli-foreman/pull/381 added

#6 - 07/30/2019 10:44 AM - Martin Bacovsky

- Triaged changed from No to Yes

#7 - 08/28/2019 08:14 AM - Martin Bacovsky

- Status changed from Ready For Testing to New

- Assignee deleted (Dominik Hlavac Duran)

- Triaged changed from Yes to No

The related Core PR was closed for inactivity as well as the CLI part. Resetting the status and ownership of this tracker.
#8 - 12/18/2019 09:52 AM - Shira Maximov

- In Kanboard set to yes

Changing the

#9 - 12/18/2019 09:58 AM - Shira Maximov

- In Kanboard deleted (yes)

#10 - 12/18/2019 12:56 PM - Shira Maximov

- In Kanboard set to yes

Changing in_kanboard field to yes

#11 - 12/26/2019 03:29 PM - Shira Maximov

- In Kanboard deleted (yes)

#12 - 01/15/2020 11:24 AM - Shira Maximov

- Triaged changed from No to Yes
